iarray_init(3)

NAME
iarray_init - initialize iarray data structure

SYNTAX
#include <libowfat/iarray.h> void iarray_init(array* x, size_t elemsize);
  iarray x;
  int64 pos;
  t* p = iarray_init(&x,sizeof(element));

DESCRIPTION
iarray_init initializes an iarray so that it can hold elements of size elemsize. iarray_init does not actually allocate anything, so it can not fail.

SEE ALSO
iarray_allocate(3), iarray_get(3), iarray_free(3)